Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001833OCamlOCaml generalpublic2003-09-14 19:082009-07-09 17:26
Assigned To 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11.0 
Summary0001833: Bug modules recursifs
DescriptionJe continue mon mailing de masse :-)

Le programme suivant provoque l'erreur: "Unbound type constructor s"

module type S = sig type t end

module rec M :
  type s = C of int
  include S with type t = s
end =
  type s = C of int
  type t = s

Sans le "rec", ├ža passe.

-- Alain

Additional InformationAppears fixed in 3.11.0...
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
administrator (administrator)
2003-09-15 15:12

This is consistent with the typing algorithm used to elaborate rec sigs:
"include" statements that involve components of the rec sig are not allowed. I
doubt this will ever change, but leave this as a feature wish just in case.
-XL, 2003-09-15

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2009-07-09 17:26 xleroy Status acknowledged => closed
2009-07-09 17:26 xleroy Resolution open => fixed
2009-07-09 17:26 xleroy Fixed in Version => 3.11.0
2009-07-09 17:26 xleroy Description Updated
2009-07-09 17:26 xleroy Additional Information Updated

Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker